--- old/usr/src/head/nss_dbdefs.h	Mon Mar 25 12:53:27 2013
+++ new/usr/src/head/nss_dbdefs.h	Mon Mar 25 12:53:27 2013
@@ -19,6 +19,8 @@
  * CDDL HEADER END
  */
 /*
+ * Copyright (c) 2013 Gary Mills
+ *
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  *
@@ -188,7 +190,11 @@
 	(NSS_LINELEN_HOSTS + (MAXALIASES + MAXADDRS + 2) * sizeof (char *))
 #define	NSS_BUFLEN_IPNODES	\
 	(NSS_LINELEN_IPNODES + (MAXALIASES + MAXADDRS + 2) * sizeof (char *))
+#ifdef	LOGNAME_MAX_ILLUMOS
+#define	NSS_BUFLEN_NETGROUP	(MAXHOSTNAMELEN * 2 + LOGNAME_MAX_ILLUMOS + 3)
+#else /* LOGNAME_MAX_ILLUMOS */
 #define	NSS_BUFLEN_NETGROUP	(MAXHOSTNAMELEN * 2 + LOGNAME_MAX + 3)
+#endif /* LOGNAME_MAX_ILLUMOS */
 #define	NSS_BUFLEN_NETWORKS	NSS_LINELEN_NETWORKS	/* === ?  + 35 * 4 */
 #define	NSS_BUFLEN_PASSWD	NSS_LINELEN_PASSWD
 #define	NSS_BUFLEN_PROJECT	(NSS_LINELEN_PROJECT + 800 * sizeof (char *))
